Subject: [alpine-aports] Re: alpine linux + texlive

From: Isaac Dunham <[email-masked]>
Date: Sun, 16 Aug 2015 19:25:43 -0700

On Sun, Aug 16, 2015 at 10:37:07AM -0300, Isadora Souza wrote:
> Hello Isaac.
> I need texlive on a daily basis because I'm writing my masters thesis.
> I'm now using alpine linux but I have the same bug I found here:
> http://bugs.alpinelinux.org/issues/4514
> Would you be kind enough to look into the issue? I found your email
> from the website where you were listed as a dev.
> Thanks a lot, I really need this.

(CC'ing the contributor and the aports mailing list.)

I've never used TeX, so I'm not really the best person to ask; and I
don't think I could test a fix for the build script, given how large
TeXlive is.

But the BLFS archives, particularly this post:
http://osdir.com/ml/blfs-dev/2015-06/msg00062.html

point at this modification to the install script:

https://github.com/elkrejzi/system-management/blob/master/buildscripts/buildtexlive#L52

as being necessary.
Untested patch (against aports)attached.

Alternately,
http://comments.gmane.org/gmane.comp.tex.live/36858
says:
 Nobody ever said that the texlive-20150521-source is enough to get a 
 running/working system. You need the Master/texmf-dist tree, also in svn.

 There you find
	Master/texmf-dist/scripts/texlive/mktexlsr.pl
 I repeat: Taking the source.tar.gz, compiling, and using the inst
 directory will *NOT* give you a working TeX system. The source tar is
 only used for building the binaries *to*be*dropped* into Master/bin/≤ARCH>/

HTH,
Isaac Dunham
>From 81a13a2aceea357cb8c1a4f50f82909d13eaa039 Mon Sep 17 00:00:00 2001
From: Isaac Dunham <[email-masked]>
Date: Sun, 16 Aug 2015 19:10:23 -0700
Subject: [PATCH] testing/texlive: install some perl modules

According to http://osdir.com/ml/blfs-dev/2015-06/msg00062.html
this is necessary to avoid http://bugs.alpinelinux.org/issues/4514
---
 testing/texlive/APKBUILD | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/testing/texlive/APKBUILD b/testing/texlive/APKBUILD
index 1595a8d..3012a97 100644
--- a/testing/texlive/APKBUILD
+++ b/testing/texlive/APKBUILD
@@ -2,7 +2,7 @@
 # Maintainer:
 pkgname=texlive
 pkgver=20150521
-pkgrel=0
+pkgrel=1
 pkgdesc="A complete TeX distribution"
 url="http://tug.org/texlive/"
 arch="all"
@@ -92,6 +92,7 @@ build() {
 package() {
 	cd "$_builddir"/build
 	make DESTDIR="$pkgdir" install || return 1
+	cp -rf ../texk/tests/TeXLive ${DEST}/usr/share/texmf-dist/scripts/texlive || return 1
 	rm -f "$pkgdir"/usr/lib/*.la
 }
 
-- 
2.5.0

---

From: Natanael Copa <[email-masked]>
Date: Tue, 18 Aug 2015 16:01:57 +0200

On Sun, 16 Aug 2015 19:25:43 -0700
Isaac Dunham <[email-masked]> wrote:

>  only used for building the binaries *to*be*dropped* into Master/bin/*ARCH>/
> 
> HTH,
> Isaac Dunham

Thanks for looking at it.

The patch does not seem to fix the issue totally. But I believe it is a
step in the right direction so I applied it (with a minor fix:
s/$DEST/$pkgdir/)

-nc

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---